<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

if (isset($user))$ank['id']=$user['id'];
if (isset($_GET['id']))$ank['id']=intval($_GET['id']);
$ank = get_user($ank['id']);

if(!$ank){header("Location: /index.php?".SID);exit;}

if ($ank['id']==0){
		header("Location: /index.php?".SID);
		exit;
}

$set['title'] = ''.$ank['nick'].' - Гостевая'; // заголовок страницы
include_once 'sys/inc/thead.php';
title();
aut();

// Удаление комментариев
if (isset($_GET['delete_post']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `stena` WHERE `id` = '".intval($_GET['delete_post'])."'"),0)==1)
{	
	$post = mysql_fetch_assoc(mysql_query("SELECT * FROM `stena` WHERE `id` = '".intval($_GET['delete_post'])."' LIMIT 1"));
	
	if (user_access('guest_delete') || $ank['id'] == $user['id'])
	{
		mysql_query("DELETE FROM `stena` WHERE `id` = '$post[id]'");
		mysql_query("DELETE FROM `stena_like` WHERE `id_stena` = '$post[id]'");
		$_SESSION['message'] = 'Сообщение успешно удалено';
	}
}

if (isset($user))mysql_query("UPDATE `notification` SET `read` = '1' WHERE `type` = 'stena_komm' AND `id_user` = '$user[id]' AND `id_object` = '$ank[id]'");if (isset($_POST['msg']) && isset($user))
{
$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);
$mat=antimat($msg);
if ($mat)$err[]='В тексте сообщения обнаружен мат: '.$mat;
if (strlen2($msg)>1024){$err[]='Сообщение слишком длинное';}
elseif (strlen2($msg)<2){$err[]='Короткое сообщение';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `stena` WHERE `id_user` = '$user[id]' AND  `id_stena` = '$ank[id]' AND `msg` = '".my_esc($msg)."' LIMIT 1"),0)!=0)
{$err='Ваше сообщение повторяет предыдущее';}
elseif(!isset($err)){		
/*
*
*Уведомления об ответах
*
*/
if (isset($user) && $respons==TRUE){
$notifiacation=mysql_fetch_assoc(mysql_query("SELECT * FROM `notification_set` WHERE `id_user` = '".$ank_otv['id']."' LIMIT 1"));
			
if ($notifiacation['komm'] == 1 && $ank_otv['id'] != $user['id'])
mysql_query("INSERT INTO `notification` (`avtor`, `id_user`, `id_object`, `type`, `time`) VALUES ('$user[id]', '$ank_otv[id]', '$ank[id]', 'stena_komm', '$time')");	
}
mysql_query("INSERT INTO `stena` (id_user, time, msg, id_stena) values('$user[id]', '$time', '".my_esc($msg)."', '$ank[id]')");
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']+1)."' ,`rating_tmp` = '".($user['rating_tmp']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
$_SESSION['message'] = 'Сообщение успешно добавлено';
}
}

/*
================================
Модуль жалобы на пользователя
и его сообщение либо контент
в зависимости от раздела
================================
*/
if (isset($_GET['spam'])  && $ank['id']!=0 && isset($user))
{
$mess = mysql_fetch_assoc(mysql_query("SELECT * FROM `stena` WHERE `id` = '".intval($_GET['spam'])."' limit 1"));
$spamer = get_user($mess['id_user']);
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `spamus` WHERE `id_user` = '$user[id]' AND `id_spam` = '$spamer[id]' AND `razdel` = 'stena'"),0)==0)
{
if (isset($_POST['spamus']))
{
if ($mess['id_user']!=$user['id'])
{
$msg=mysql_real_escape_string($_POST['spamus']);

if (strlen2($msg)<3)$err='Укажите подробнее причину жалобы';
if (strlen2($msg)>1512)$err='Длина текста превышает предел в 512 символов';if(isset($_POST['types'])) $types=intval($_POST['types']);
else $types='0';
if (!isset($err))
{
mysql_query("INSERT INTO `spamus` (`id_object`, `id_user`, `msg`, `id_spam`, `time`, `types`, `razdel`, `spam`) values('$ank[id]', '$user[id]', '$msg', '$spamer[id]', '$time', '$types', 'stena', '".my_esc($mess['msg'])."')");
$_SESSION['message'] = 'Заявка на рассмотрение отправлена'; 
header("Location: ?id=$ank[id]&spam=$mess[id]&page=".intval($_GET['page'])."");
exit;
}
}
}
}
$set['title']=$ank['nick'].' - жалоба '; // заголовок страницы
include_once 'sys/inc/thead.php';
title();
aut();
err();


if (mysql_result(mysql_query("SELECT COUNT(*) FROM `spamus` WHERE `id_user` = '$user[id]' AND `id_spam` = '$spamer[id]' AND `razdel` = 'stena'"),0)==0)
{
echo "<div class='mess'>Ложная информация может привести к блокировке ника.
Если вас постоянно достает один человек - пишет всякие гадости, вы можете добавить его в черный список.</div>";
echo "<form class='nav1' method='post' action='/info.php?id=$ank[id]&amp;spam=$mess[id]&amp;page=".intval($_GET['page'])."'>\n";
echo "<b>Пользователь:</b> ";
echo " ".avatar($spamer['id'])." <a href=\"/info.php?id=$spamer[id]\">$spamer[nick]</a>\n";
echo "".medal($spamer['id'])." ".online($spamer['id'])." (".vremja($mess['time']).")<br />";
echo "<b>Нарушение:</b> <font color='green'>".output_text($mess['msg'])."</font><br />";
echo "Причина:<br />\n<select name='types'>\n";
echo "<option value='1' selected='selected'>Спам/Реклама</option>\n";
echo "<option value='2' selected='selected'>Мошенничество</option>\n";
echo "<option value='3' selected='selected'>Оскорбление</option>\n";
echo "<option value='0' selected='selected'>Другое</option>\n";
echo "</select><br />\n";
echo "Комментарий:$tPanel";
echo "<textarea name=\"spamus\"></textarea><br />";
echo "<input value=\"Отправить\" type=\"submit\" />\n";
echo "</form>\n";
}else{
echo "<div class='mess'>Жалоба на <font color='green'>$spamer[nick]</font> будет рассмотрена в ближайшее время.</div>";
}echo "<div class='foot'>\n";
echo "<img src='/style/icons/str2.gif' alt='*'> <a href='/info.php?id=$ank[id]'>Назад</a><br />\n";
echo "</div>\n";
include_once 'sys/inc/tfoot.php';
} 
/*
==================================
The End
==================================
*/






$set['p_str']=5;
if (isset($_GET['likepost']))
{
  $stena = mysql_fetch_assoc(mysql_query("SELECT * FROM `stena` WHERE `id` = '".intval($_GET['likepost'])."' LIMIT 1"));
  $ank3 = get_user($stena['id_user']);
  $l = mysql_result(mysql_query("SELECT COUNT(*) FROM `stena_like` WHERE `id_stena` = '$stena[id]'"),0);
  
  if (isset($_GET['likepost']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `stena_like` WHERE
   `id_stena` = '$stena[id]' AND `id_user` = '$user[id]' LIMIT 1"),0) == 0) {
    mysql_query("INSERT INTO `stena_like` (`id_user`, `id_stena`) values('$user[id]', '$stena[id]')");
    mysql_query("UPDATE `user` SET `balls` = '".($ank3['balls']+1)."' WHERE `id` = '$ank3[id]' LIMIT 1");
  }
}

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `stena` WHERE `id_stena` = '$ank[id]'"),0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];


if ($k_post == 0)
{
  echo "  <div class='mess'>\n";
  echo "Нет сообщений\n";
  echo "  </div>\n";
}
else
{
  /*------------сортировка по времени--------------*/
  if (isset($user)){
  echo "<div class='main_menu'>";
  echo "<a href='/info.php?id=$ank[id]&amp;page=$page&amp;sort=1' class='".($user['sort']==1?'activ':'')."'>Внизу</a> / ";

  echo "<a href='/info.php?id=$ank[id]&amp;page=$page&amp;sort=0' class='".($user['sort']==0?'activ':'')."'>Вверху</a>";
  echo "</div>"; 
  }
  /*---------------alex-borisi---------------------*/
}

$q = mysql_query("SELECT * FROM `stena` WHERE `id_stena` = '$ank[id]' ORDER BY id $sort LIMIT $start, $set[p_str]");

while ($post = mysql_fetch_assoc($q))
{
  /*-----------зебра-----------*/
  if ($num==0)
  {echo "  <div class='nav1'>\n";
  $num=1;
  }elseif ($num==1)
  {echo "  <div class='nav2'>\n";
  $num=0;}
  /*---------------------------*/

  $ank_stena = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));


  	echo user::avatar($ank_stena['id'],0).' ';
	echo user::nick($ank_stena['id'],1,1,1)."";
  
  if (isset($user))echo " <a href='/info.php?id=$ank[id]&amp;response=$ank_stena[id]'> [ответ] </a>";
  
  echo " (".vremja($post['time']) . ")<br />";

  echo output_text($post['msg']) . "<br />\n";

  if (isset($user))
  {
    $l = mysql_result(mysql_query("SELECT COUNT(*) FROM `stena_like` WHERE `id_stena` = '$post[id]'"),0);
    echo '<div style="text-align:right;"> <a href="?id='.$ank['id'].'&amp;likepost='.$post['id'].'&amp;page='.$page.'" >&hearts; '.$l.'</a> ';
    
    if (isset($user) && $ank['id'] != $user['id'] && $ank['id'] != 0) {
      echo ' <a href="/plugins/treats/' . $post['id_user'] . '/wall/' . $ank['id'] . '/"><img src="/plugins/treats/icons/glass.png"></a> ';
    }
    
    if (isset($user) && $ank_stena['id'] != $user['id']) {
      echo "<a href=\"/info.php?id=$ank[id]&amp;page=$page&amp;spam=$post[id]\"><img src='/style/icons/blicon.gif' alt='*' title='Это спам'></a>"; 
    }
    
    if (user_access('guest_delete') || $ank['id'] == $user['id'])
    {
      echo "<a href='?id=$ank[id]&amp;delete_post=$post[id]'><img src='/style/icons/delete.gif' alt='удалить' /></a>\n";
    }
    echo "   </div>\n";
  }
  echo "</div>\n";
}


if ($k_page>1)str('?id='.$ank['id'].'&',$k_page,$page); // Вывод страниц

if (isset($user) || (isset($set['write_guest']) && $set['write_guest']==1 && (!isset($_SESSION['antiflood']) || $_SESSION['antiflood']<$time-300)))
{
echo "<form method=\"post\" name='message' action=\"?id=$ank[id]$go_otv\">\n";
if (is_file(H.'style/themes/'.$set['set_them'].'/altername_post_form.php'))
include_once H.'style/themes/'.$set['set_them'].'/altername_post_form.php';
else
echo "$tPanel<textarea name=\"msg\">$otvet</textarea><br />\n";
echo "<input value=\"Отправить\" type=\"submit\" />\n";
echo "</form>\n";
}
include_once 'sys/inc/tfoot.php';
?>